Subject: Regarding Invoice/ 9633776110/ [email-masked]/ 2130255
From: ARUNJAY RAJ <[email-masked]>
To: Seeta Seeta <[email-masked]>, Shakeeb Arsalan <[email-masked]>
Cc: Manish Kumar <[email-masked]>, Apoorv Joshi <[email-masked]>
Date: Sat, 27 Feb 2021 02:59:51 -0700 (MST)

Hi Team, 

Customer requested for the invoice for the order number #9633776110 

Kindly do the needful, Thanks for the help. 

Regards, 
Arunjay